Loading...
Searching...
No Matches
casacore::Near< L, R > Struct Template Reference

Functor to test if two values are relatively near each other. More...

`#include <Functors.h>`

## Public Member Functions

| Near (double tolerance=1e-5)
bool | operator() (L left, R right) const

## Private Attributes

double | itsTolerance

## Detailed Description

template<typename L, typename R = L>
struct casacore::Near< L, R >

Functor to test if two values are relatively near each other.

It can be used in something like:

std::transform (left.begin(), left.cend(), right.begin(),
result.cbegin(), Near<T>(tolerance));
casacore::Near::Near
Near(double tolerance=1e-5)
Definition Functors.h:295

Definition at line 293 of file Functors.h.

## Constructor & Destructor Documentation

## Near()

template<typename L, typename R = L>

casacore::Near< L, R >::Near | ( | double | tolerance = 1e-5 | ) |

inline explicit

Definition at line 295 of file Functors.h.

References itsTolerance.

## Member Function Documentation

## operator()()

template<typename L, typename R = L>

bool casacore::Near< L, R >::operator() | ( | L | left,
|  | R | right ) const

inline

Definition at line 298 of file Functors.h.

References itsTolerance, and casacore::near().

## Member Data Documentation

## itsTolerance

template<typename L, typename R = L>

double casacore::Near< L, R >::itsTolerance

private

Definition at line 301 of file Functors.h.

Referenced by Near(), and operator()().

The documentation for this struct was generated from the following file:

- casa/BasicMath/Functors.h